// Made with Blockbench 4.7.2
// Exported for Minecraft version 1.17 or later with Mojang mappings
// Paste this class into your mod and generate all required imports

public class ModelLumitterModel<T extends Entity> extends EntityModel<T> {
	// This layer location should be baked with EntityRendererProvider.Context in
	// the entity renderer and passed into this model's constructor
	public static final ModelLayerLocation LAYER_LOCATION = new ModelLayerLocation(
			new ResourceLocation("modid", "lumittermodel"), "main");
	private final ModelPart TentacleBack;
	private final ModelPart Body;
	private final ModelPart TentacleBack2;
	private final ModelPart TentacleBack3;

	public ModelLumitterModel(ModelPart root) {
		this.TentacleBack = root.getChild("TentacleBack");
		this.Body = root.getChild("Body");
		this.TentacleBack2 = root.getChild("TentacleBack2");
		this.TentacleBack3 = root.getChild("TentacleBack3");
	}

	public static LayerDefinition createBodyLayer() {
		MeshDefinition meshdefinition = new MeshDefinition();
		PartDefinition partdefinition = meshdefinition.getRoot();

		PartDefinition TentacleBack = partdefinition.addOrReplaceChild("TentacleBack", CubeListBuilder.create(),
				PartPose.offset(0.0F, 14.0F, 8.0F));

		PartDefinition cube_r1 = TentacleBack.addOrReplaceChild("cube_r1",
				CubeListBuilder.create().texOffs(8, 11).addBox(-1.0F, 4.0F, -1.5F, 2.0F, 6.0F, 0.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 2.7057F, 3.2766F, 1.0036F, 0.0F, 0.0F));

		PartDefinition cube_r2 = TentacleBack
				.addOrReplaceChild("cube_r2",
						CubeListBuilder.create().texOffs(48, 28).addBox(-3.0F, -5.0F, 3.5F, 6.0F, 10.0F, 1.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 5.0F, 0.0F, 0.6109F, 0.0F, 0.0F));

		PartDefinition Body = partdefinition.addOrReplaceChild("Body",
				CubeListBuilder.create().texOffs(0, 28)
						.addBox(-8.0F, -10.0F, -8.0F, 16.0F, 6.0F, 16.0F, new CubeDeformation(0.0F)).texOffs(0, 0)
						.addBox(-9.0F, -4.0F, -9.0F, 18.0F, 10.0F, 18.0F, new CubeDeformation(0.0F)).texOffs(0, 50)
						.addBox(-7.0F, -13.0F, -7.0F, 14.0F, 3.0F, 14.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 8.0F, 0.0F));

		PartDefinition TentacleBack2 = partdefinition.addOrReplaceChild("TentacleBack2", CubeListBuilder.create(),
				PartPose.offsetAndRotation(6.0F, 14.0F, -4.0F, 0.0F, 0.5672F, 0.0F));

		PartDefinition cube_r3 = TentacleBack2.addOrReplaceChild("cube_r3",
				CubeListBuilder.create().texOffs(4, 11).addBox(0.6119F, 1.8661F, -2.8595F, 2.0F, 6.0F, 0.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 2.7057F, 3.2766F, 1.0036F, 0.0F, 0.0F));

		PartDefinition cube_r4 = TentacleBack2.addOrReplaceChild(
				"cube_r4", CubeListBuilder.create().texOffs(0, 28).addBox(-1.3881F, -6.4512F, 1.4274F, 6.0F, 10.0F,
						1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 5.0F, 0.0F, 0.6109F, 0.0F, 0.0F));

		PartDefinition TentacleBack3 = partdefinition.addOrReplaceChild("TentacleBack3", CubeListBuilder.create(),
				PartPose.offsetAndRotation(-6.0F, 14.0F, -4.0F, 0.0F, -0.5672F, 0.0F));

		PartDefinition cube_r5 = TentacleBack3.addOrReplaceChild("cube_r5",
				CubeListBuilder.create().texOffs(0, 11).addBox(-2.6119F, 1.8661F, -2.8595F, 2.0F, 6.0F, 0.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 2.7057F, 3.2766F, 1.0036F, 0.0F, 0.0F));

		PartDefinition cube_r6 = TentacleBack3
				.addOrReplaceChild("cube_r6",
						CubeListBuilder.create().texOffs(0, 0).addBox(-4.6119F, -6.4512F, 1.4274F, 6.0F, 10.0F, 1.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 5.0F, 0.0F, 0.6109F, 0.0F, 0.0F));

		return LayerDefinition.create(meshdefinition, 128, 128);
	}

	@Override
	public void setupAnim(T entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw,
			float headPitch) {

	}

	@Override
	public void renderToBuffer(PoseStack poseStack, VertexConsumer vertexConsumer, int packedLight, int packedOverlay,
			float red, float green, float blue, float alpha) {
		TentacleBack.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		Body.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		TentacleBack2.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		TentacleBack3.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
	}
}