
package net.mcreator.cavernousechoes.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SilverfishModel;

import net.mcreator.cavernousechoes.entity.DepthlingPopperEntity;

public class DepthlingPopperRenderer extends MobRenderer<DepthlingPopperEntity, SilverfishModel<DepthlingPopperEntity>> {
	public DepthlingPopperRenderer(EntityRendererProvider.Context context) {
		super(context, new SilverfishModel(context.bakeLayer(ModelLayers.SILVERFISH)), 0.3f);
	}

	@Override
	public ResourceLocation getTextureLocation(DepthlingPopperEntity entity) {
		return new ResourceLocation("cavernous_echoes:textures/entities/depthlingpopper.png");
	}
}
