
package net.mcreator.cavernousechoes.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SilverfishModel;

import net.mcreator.cavernousechoes.entity.DepthlingScoutEntity;

import com.mojang.blaze3d.vertex.PoseStack;

public class DepthlingScoutRenderer extends MobRenderer<DepthlingScoutEntity, SilverfishModel<DepthlingScoutEntity>> {
	public DepthlingScoutRenderer(EntityRendererProvider.Context context) {
		super(context, new SilverfishModel(context.bakeLayer(ModelLayers.SILVERFISH)), 0.3f);
	}

	@Override
	protected void scale(DepthlingScoutEntity entity, PoseStack poseStack, float f) {
		poseStack.scale(0.8f, 0.8f, 0.8f);
	}

	@Override
	public ResourceLocation getTextureLocation(DepthlingScoutEntity entity) {
		return new ResourceLocation("cavernous_echoes:textures/entities/depthlingscout.png");
	}
}
