
package net.mcreator.cavernousechoes.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SilverfishModel;

import net.mcreator.cavernousechoes.entity.TheBroodmotherEntity;

import com.mojang.blaze3d.vertex.PoseStack;

public class TheBroodmotherRenderer extends MobRenderer<TheBroodmotherEntity, SilverfishModel<TheBroodmotherEntity>> {
	public TheBroodmotherRenderer(EntityRendererProvider.Context context) {
		super(context, new SilverfishModel(context.bakeLayer(ModelLayers.SILVERFISH)), 0.3f);
	}

	@Override
	protected void scale(TheBroodmotherEntity entity, PoseStack poseStack, float f) {
		poseStack.scale(5f, 5f, 5f);
	}

	@Override
	public ResourceLocation getTextureLocation(TheBroodmotherEntity entity) {
		return new ResourceLocation("cavernous_echoes:textures/entities/broodmother.png");
	}
}
