
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.cavernousechoes.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.cavernousechoes.entity.YellowTweepitEntity;
import net.mcreator.cavernousechoes.entity.TrooderEntity;
import net.mcreator.cavernousechoes.entity.TheBroodmotherEntity;
import net.mcreator.cavernousechoes.entity.RedPlantoidEntity;
import net.mcreator.cavernousechoes.entity.PlantoidEntity;
import net.mcreator.cavernousechoes.entity.LumitterEntity;
import net.mcreator.cavernousechoes.entity.InfecterEntity;
import net.mcreator.cavernousechoes.entity.GreenTweepitEntity;
import net.mcreator.cavernousechoes.entity.DepthlingsEntity;
import net.mcreator.cavernousechoes.entity.DepthlingTameEntity;
import net.mcreator.cavernousechoes.entity.DepthlingScoutEntity;
import net.mcreator.cavernousechoes.entity.DepthlingPopperEntity;
import net.mcreator.cavernousechoes.entity.DepthlingGungpowderProjectileEntity;
import net.mcreator.cavernousechoes.entity.CaveOwlEntity;
import net.mcreator.cavernousechoes.entity.BroodlingEggEntity;
import net.mcreator.cavernousechoes.entity.BlueTweepitEntity;
import net.mcreator.cavernousechoes.entity.BluePlantoidEntity;
import net.mcreator.cavernousechoes.CavernousEchoesMod;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class CavernousEchoesModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(ForgeRegistries.ENTITY_TYPES, CavernousEchoesMod.MODID);
	public static final RegistryObject<EntityType<CaveOwlEntity>> CAVE_OWL = register("cave_owl",
			EntityType.Builder.<CaveOwlEntity>of(CaveOwlEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(16).setUpdateInterval(3).setCustomClientFactory(CaveOwlEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<PlantoidEntity>> PLANTOID = register("plantoid",
			EntityType.Builder.<PlantoidEntity>of(PlantoidEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(PlantoidEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<RedPlantoidEntity>> RED_PLANTOID = register("red_plantoid",
			EntityType.Builder.<RedPlantoidEntity>of(RedPlantoidEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(RedPlantoidEntity::new)

					.sized(0.9f, 2.3f));
	public static final RegistryObject<EntityType<BluePlantoidEntity>> BLUE_PLANTOID = register("blue_plantoid",
			EntityType.Builder.<BluePlantoidEntity>of(BluePlantoidEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(BluePlantoidEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<DepthlingsEntity>> DEPTHLINGBROOD = register("depthlingbrood",
			EntityType.Builder.<DepthlingsEntity>of(DepthlingsEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(DepthlingsEntity::new)

					.sized(0.5f, 0.4f));
	public static final RegistryObject<EntityType<InfecterEntity>> INFECTER = register("infecter",
			EntityType.Builder.<InfecterEntity>of(InfecterEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(InfecterEntity::new)

					.sized(0.4f, 0.4f));
	public static final RegistryObject<EntityType<BroodlingEggEntity>> BROODLING_EGG = register("projectile_broodling_egg",
			EntityType.Builder.<BroodlingEggEntity>of(BroodlingEggEntity::new, MobCategory.MISC).setCustomClientFactory(BroodlingEggEntity::new).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<DepthlingScoutEntity>> DEPTHLING_SCOUT = register("depthling_scout",
			EntityType.Builder.<DepthlingScoutEntity>of(DepthlingScoutEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(DepthlingScoutEntity::new)

					.sized(0.5f, 0.4f));
	public static final RegistryObject<EntityType<TheBroodmotherEntity>> THE_BROODMOTHER = register("the_broodmother", EntityType.Builder.<TheBroodmotherEntity>of(TheBroodmotherEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true)
			.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(TheBroodmotherEntity::new).fireImmune().sized(0.4f, 0.3f));
	public static final RegistryObject<EntityType<DepthlingPopperEntity>> DEPTHLING_POPPER = register("depthling_popper",
			EntityType.Builder.<DepthlingPopperEntity>of(DepthlingPopperEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(DepthlingPopperEntity::new)

					.sized(0.5f, 0.4f));
	public static final RegistryObject<EntityType<DepthlingGungpowderProjectileEntity>> DEPTHLING_GUNGPOWDER_PROJECTILE = register("projectile_depthling_gungpowder_projectile",
			EntityType.Builder.<DepthlingGungpowderProjectileEntity>of(DepthlingGungpowderProjectileEntity::new, MobCategory.MISC).setCustomClientFactory(DepthlingGungpowderProjectileEntity::new).setShouldReceiveVelocityUpdates(true)
					.setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));
	public static final RegistryObject<EntityType<DepthlingTameEntity>> DEPTHLING_TAME = register("depthling_tame",
			EntityType.Builder.<DepthlingTameEntity>of(DepthlingTameEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(DepthlingTameEntity::new)

					.sized(0.4f, 0.3f));
	public static final RegistryObject<EntityType<TrooderEntity>> TROODER = register("trooder",
			EntityType.Builder.<TrooderEntity>of(TrooderEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(TrooderEntity::new)

					.sized(1.5f, 1.1f));
	public static final RegistryObject<EntityType<LumitterEntity>> LUMITTER = register("lumitter",
			EntityType.Builder.<LumitterEntity>of(LumitterEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(LumitterEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<BlueTweepitEntity>> BLUE_TWEEPIT = register("blue_tweepit",
			EntityType.Builder.<BlueTweepitEntity>of(BlueTweepitEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(BlueTweepitEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<YellowTweepitEntity>> YELLOW_TWEEPIT = register("yellow_tweepit",
			EntityType.Builder.<YellowTweepitEntity>of(YellowTweepitEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(YellowTweepitEntity::new)

					.sized(0.6f, 1.8f));
	public static final RegistryObject<EntityType<GreenTweepitEntity>> GREEN_TWEEPIT = register("green_tweepit",
			EntityType.Builder.<GreenTweepitEntity>of(GreenTweepitEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(GreenTweepitEntity::new)

					.sized(0.6f, 1.8f));

	private static <T extends Entity> RegistryObject<EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			CaveOwlEntity.init();
			PlantoidEntity.init();
			RedPlantoidEntity.init();
			BluePlantoidEntity.init();
			DepthlingsEntity.init();
			InfecterEntity.init();
			DepthlingScoutEntity.init();
			TheBroodmotherEntity.init();
			DepthlingPopperEntity.init();
			DepthlingTameEntity.init();
			TrooderEntity.init();
			LumitterEntity.init();
			BlueTweepitEntity.init();
			YellowTweepitEntity.init();
			GreenTweepitEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(CAVE_OWL.get(), CaveOwlEntity.createAttributes().build());
		event.put(PLANTOID.get(), PlantoidEntity.createAttributes().build());
		event.put(RED_PLANTOID.get(), RedPlantoidEntity.createAttributes().build());
		event.put(BLUE_PLANTOID.get(), BluePlantoidEntity.createAttributes().build());
		event.put(DEPTHLINGBROOD.get(), DepthlingsEntity.createAttributes().build());
		event.put(INFECTER.get(), InfecterEntity.createAttributes().build());
		event.put(DEPTHLING_SCOUT.get(), DepthlingScoutEntity.createAttributes().build());
		event.put(THE_BROODMOTHER.get(), TheBroodmotherEntity.createAttributes().build());
		event.put(DEPTHLING_POPPER.get(), DepthlingPopperEntity.createAttributes().build());
		event.put(DEPTHLING_TAME.get(), DepthlingTameEntity.createAttributes().build());
		event.put(TROODER.get(), TrooderEntity.createAttributes().build());
		event.put(LUMITTER.get(), LumitterEntity.createAttributes().build());
		event.put(BLUE_TWEEPIT.get(), BlueTweepitEntity.createAttributes().build());
		event.put(YELLOW_TWEEPIT.get(), YellowTweepitEntity.createAttributes().build());
		event.put(GREEN_TWEEPIT.get(), GreenTweepitEntity.createAttributes().build());
	}
}
