
/*
 * MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.cavernousechoes.init;

import net.minecraftforge.registries.RegistryObject;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.fml.event.lifecycle.FMLClientSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.material.Fluid;
import net.minecraft.world.level.material.FlowingFluid;
import net.minecraft.client.renderer.RenderType;
import net.minecraft.client.renderer.ItemBlockRenderTypes;

import net.mcreator.cavernousechoes.fluid.DarknessFluid;
import net.mcreator.cavernousechoes.fluid.CleansedWaterFluid;
import net.mcreator.cavernousechoes.fluid.AlgaeWaterFluid;
import net.mcreator.cavernousechoes.CavernousEchoesMod;

public class CavernousEchoesModFluids {
	public static final DeferredRegister<Fluid> REGISTRY = DeferredRegister.create(ForgeRegistries.FLUIDS, CavernousEchoesMod.MODID);
	public static final RegistryObject<FlowingFluid> ALGAE_WATER = REGISTRY.register("algae_water", () -> new AlgaeWaterFluid.Source());
	public static final RegistryObject<FlowingFluid> FLOWING_ALGAE_WATER = REGISTRY.register("flowing_algae_water", () -> new AlgaeWaterFluid.Flowing());
	public static final RegistryObject<FlowingFluid> DARKNESS = REGISTRY.register("darkness", () -> new DarknessFluid.Source());
	public static final RegistryObject<FlowingFluid> FLOWING_DARKNESS = REGISTRY.register("flowing_darkness", () -> new DarknessFluid.Flowing());
	public static final RegistryObject<FlowingFluid> CLEANSED_WATER = REGISTRY.register("cleansed_water", () -> new CleansedWaterFluid.Source());
	public static final RegistryObject<FlowingFluid> FLOWING_CLEANSED_WATER = REGISTRY.register("flowing_cleansed_water", () -> new CleansedWaterFluid.Flowing());

	@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class ClientSideHandler {
		@SubscribeEvent
		public static void clientSetup(FMLClientSetupEvent event) {
			ItemBlockRenderTypes.setRenderLayer(ALGAE_WATER.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_ALGAE_WATER.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(DARKNESS.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_DARKNESS.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(CLEANSED_WATER.get(), RenderType.translucent());
			ItemBlockRenderTypes.setRenderLayer(FLOWING_CLEANSED_WATER.get(), RenderType.translucent());
		}
	}
}
