
package net.mcreator.cavernousechoes.potion;

import net.minecraft.world.entity.ai.attributes.AttributeMap;
import net.minecraft.world.entity.LivingEntity;
import net.minecraft.world.effect.MobEffectCategory;
import net.minecraft.world.effect.MobEffect;

import net.mcreator.cavernousechoes.procedures.OozingEffectExpiresProcedure;
import net.mcreator.cavernousechoes.procedures.OozingActiveTickConditionProcedure;

public class OozingMobEffect extends MobEffect {
	public OozingMobEffect() {
		super(MobEffectCategory.HARMFUL, -16777216);
	}

	@Override
	public String getDescriptionId() {
		return "effect.cavernous_echoes.oozing";
	}

	@Override
	public void applyEffectTick(LivingEntity entity, int amplifier) {
		OozingActiveTickConditionProcedure.execute(entity);
	}

	@Override
	public void removeAttributeModifiers(LivingEntity entity, AttributeMap attributeMap, int amplifier) {
		super.removeAttributeModifiers(entity, attributeMap, amplifier);
		OozingEffectExpiresProcedure.execute(entity);
	}

	@Override
	public boolean isDurationEffectTick(int duration, int amplifier) {
		return true;
	}
}
