// Made with Blockbench 4.9.4
// Exported for Minecraft version 1.17 or later with Mojang mappings
// Paste this class into your mod and generate all required imports

public class ModelCustomModel<T extends Entity> extends EntityModel<T> {
	// This layer location should be baked with EntityRendererProvider.Context in
	// the entity renderer and passed into this model's constructor
	public static final ModelLayerLocation LAYER_LOCATION = new ModelLayerLocation(
			new ResourceLocation("modid", "custommodel"), "main");
	private final ModelPart Body2;
	private final ModelPart Legs;

	public ModelCustomModel(ModelPart root) {
		this.Body2 = root.getChild("Body2");
		this.Legs = root.getChild("Legs");
	}

	public static LayerDefinition createBodyLayer() {
		MeshDefinition meshdefinition = new MeshDefinition();
		PartDefinition partdefinition = meshdefinition.getRoot();

		PartDefinition Body2 = partdefinition.addOrReplaceChild("Body2", CubeListBuilder.create(),
				PartPose.offset(0.0F, 16.1294F, 0.983F));

		PartDefinition Head = Body2.addOrReplaceChild("Head", CubeListBuilder.create().texOffs(0, 12).addBox(-2.0F,
				-2.1667F, -0.6667F, 4.0F, 3.0F, 4.0F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, -0.2568F, -5.1459F));

		PartDefinition EyeL = Head.addOrReplaceChild("EyeL", CubeListBuilder.create().texOffs(12, 19).addBox(-3.0F,
				-0.6667F, -1.6667F, 2.0F, 2.0F, 2.0F, new CubeDeformation(0.0F)), PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition EyeR = Head.addOrReplaceChild("EyeR", CubeListBuilder.create().texOffs(18, 0).addBox(1.0F,
				-0.6667F, -1.6667F, 2.0F, 2.0F, 2.0F, new CubeDeformation(0.0F)), PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition Body = Body2.addOrReplaceChild("Body", CubeListBuilder.create(),
				PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition Main_r1 = Body.addOrReplaceChild("Main_r1",
				CubeListBuilder.create().texOffs(0, 0).addBox(-3.0F, -3.0F, -2.5F, 6.0F, 6.0F, 6.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -0.1294F, -0.483F, -0.2618F, 0.0F, 0.0F));

		PartDefinition Legs = partdefinition.addOrReplaceChild("Legs", CubeListBuilder.create(),
				PartPose.offset(3.5F, 21.0272F, 1.2418F));

		PartDefinition LegL = Legs.addOrReplaceChild("LegL", CubeListBuilder.create(),
				PartPose.offset(-7.0F, -3.0F, -1.2418F));

		PartDefinition BottomL = LegL.addOrReplaceChild("BottomL", CubeListBuilder.create(),
				PartPose.offset(0.0F, 4.0953F, 1.4659F));

		PartDefinition Bottom_r1 = BottomL.addOrReplaceChild("Bottom_r1",
				CubeListBuilder.create().texOffs(12, 23).addBox(-7.5F, 0.0F, 0.5F, 1.0F, 4.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(7.0F, -2.1907F, -0.4483F, -0.2618F, 0.0F, 0.0F));

		PartDefinition TopL = LegL.addOrReplaceChild("TopL", CubeListBuilder.create(),
				PartPose.offset(0.0F, -0.0613F, 0.4F));

		PartDefinition Top_r1 = TopL.addOrReplaceChild("Top_r1",
				CubeListBuilder.create().texOffs(16, 12)
						.addBox(-5.0F, -2.0F, -1.5F, 3.0F, 4.0F, 3.0F, new CubeDeformation(0.0F)).texOffs(0, 0)
						.addBox(-4.5F, 0.0F, -0.5F, 2.0F, 4.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(3.5F, 0.0341F, 0.1F, 0.2618F, 0.0F, 0.0F));

		PartDefinition LegR = Legs.addOrReplaceChild("LegR", CubeListBuilder.create(),
				PartPose.offset(0.0F, -3.0F, -1.2418F));

		PartDefinition BottomR = LegR.addOrReplaceChild("BottomR", CubeListBuilder.create(),
				PartPose.offset(0.0F, 4.0953F, 1.4659F));

		PartDefinition Bottom_r2 = BottomR.addOrReplaceChild("Bottom_r2",
				CubeListBuilder.create().texOffs(16, 23).addBox(-0.5F, 0.0F, 0.5F, 1.0F, 4.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -2.1907F, -0.4483F, -0.2618F, 0.0F, 0.0F));

		PartDefinition TopR = LegR.addOrReplaceChild("TopR", CubeListBuilder.create(),
				PartPose.offset(0.0F, -0.0613F, 0.4F));

		PartDefinition Bottom_r3 = TopR.addOrReplaceChild("Bottom_r3",
				CubeListBuilder.create().texOffs(20, 19)
						.addBox(-4.5F, 0.0F, -0.5F, 2.0F, 4.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(0, 19)
						.addBox(-5.0F, -2.0F, -1.5F, 3.0F, 4.0F, 3.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(3.5F, 0.0341F, 0.1F, 0.2618F, 0.0F, 0.0F));

		return LayerDefinition.create(meshdefinition, 32, 32);
	}

	@Override
	public void renderToBuffer(PoseStack poseStack, VertexConsumer vertexConsumer, int packedLight, int packedOverlay,
			float red, float green, float blue, float alpha) {
		Body2.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		Legs.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
	}

	public void setupAnim(T entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw,
			float headPitch) {
	}
}