
package net.mcreator.cavernousechoes.block;

import net.minecraft.world.level.material.PushReaction;
import net.minecraft.world.level.material.MapColor;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.world.level.block.state.BlockBehaviour;
import net.minecraft.world.level.block.SoundType;
import net.minecraft.world.level.block.LiquidBlock;
import net.minecraft.world.level.Level;
import net.minecraft.world.level.BlockGetter;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.BlockPos;

import net.mcreator.cavernousechoes.procedures.DarknessMobplayerCollidesBlockProcedure;
import net.mcreator.cavernousechoes.init.CavernousEchoesModFluids;

public class DarknessBlock extends LiquidBlock {
	public DarknessBlock() {
		super(() -> CavernousEchoesModFluids.DARKNESS.get(), BlockBehaviour.Properties.of().mapColor(MapColor.DIAMOND).strength(100f).hasPostProcess((bs, br, bp) -> true).emissiveRendering((bs, br, bp) -> true).noCollission().noLootTable().liquid()
				.pushReaction(PushReaction.DESTROY).sound(SoundType.EMPTY).replaceable());
	}

	@Override
	public boolean propagatesSkylightDown(BlockState state, BlockGetter reader, BlockPos pos) {
		return true;
	}

	@Override
	public void entityInside(BlockState blockstate, Level world, BlockPos pos, Entity entity) {
		super.entityInside(blockstate, world, pos, entity);
		DarknessMobplayerCollidesBlockProcedure.execute(entity);
	}
}
