
package net.mcreator.cavernousechoes.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.SilverfishModel;

import net.mcreator.cavernousechoes.entity.InfecterEntity;

import com.mojang.blaze3d.vertex.PoseStack;

public class InfecterRenderer extends MobRenderer<InfecterEntity, SilverfishModel<InfecterEntity>> {
	public InfecterRenderer(EntityRendererProvider.Context context) {
		super(context, new SilverfishModel(context.bakeLayer(ModelLayers.SILVERFISH)), 0.4f);
	}

	@Override
	protected void scale(InfecterEntity entity, PoseStack poseStack, float f) {
		poseStack.scale(1.25f, 1.25f, 1.25f);
	}

	@Override
	public ResourceLocation getTextureLocation(InfecterEntity entity) {
		return new ResourceLocation("cavernous_echoes:textures/entities/broodlingnonanim.png");
	}
}
