
package net.mcreator.cavernousechoes.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;

import net.mcreator.cavernousechoes.entity.LumitterEntity;
import net.mcreator.cavernousechoes.client.model.ModelLumitterModel;

public class LumitterRenderer extends MobRenderer<LumitterEntity, ModelLumitterModel<LumitterEntity>> {
	public LumitterRenderer(EntityRendererProvider.Context context) {
		super(context, new ModelLumitterModel(context.bakeLayer(ModelLumitterModel.LAYER_LOCATION)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(LumitterEntity entity) {
		return new ResourceLocation("cavernous_echoes:textures/entities/lumittertexture.png");
	}

	@Override
	protected boolean isBodyVisible(LumitterEntity entity) {
		return false;
	}
}
