
package net.mcreator.cavernousechoes.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;

import net.mcreator.cavernousechoes.entity.TrooderEntity;
import net.mcreator.cavernousechoes.client.model.ModelTrooder;

public class TrooderRenderer extends MobRenderer<TrooderEntity, ModelTrooder<TrooderEntity>> {
	public TrooderRenderer(EntityRendererProvider.Context context) {
		super(context, new ModelTrooder(context.bakeLayer(ModelTrooder.LAYER_LOCATION)), 1f);
	}

	@Override
	public ResourceLocation getTextureLocation(TrooderEntity entity) {
		return new ResourceLocation("cavernous_echoes:textures/entities/troodertexture.png");
	}

	@Override
	protected boolean isBodyVisible(TrooderEntity entity) {
		return false;
	}
}
