package net.mcreator.cavernousechoes.procedures;

import net.minecraftforge.registries.ForgeRegistries;

import net.minecraft.world.level.block.Blocks;
import net.minecraft.world.level.LevelAccessor;
import net.minecraft.world.level.Level;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.entity.item.ItemEntity;
import net.minecraft.world.entity.item.FallingBlockEntity;
import net.minecraft.util.RandomSource;
import net.minecraft.util.Mth;
import net.minecraft.sounds.SoundSource;
import net.minecraft.server.level.ServerLevel;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.core.BlockPos;

import net.mcreator.cavernousechoes.init.CavernousEchoesModItems;
import net.mcreator.cavernousechoes.init.CavernousEchoesModBlocks;
import net.mcreator.cavernousechoes.CavernousEchoesMod;

public class GlowingExplosivesRedstoneOnProcedure {
	public static void execute(LevelAccessor world, double x, double y, double z) {
		if (world instanceof Level _level) {
			if (!_level.isClientSide()) {
				_level.playSound(null, BlockPos.containing(x, y, z), ForgeRegistries.SOUND_EVENTS.getValue(new ResourceLocation("entity.tnt.primed")), SoundSource.NEUTRAL, 1, 1);
			} else {
				_level.playLocalSound(x, y, z, ForgeRegistries.SOUND_EVENTS.getValue(new ResourceLocation("entity.tnt.primed")), SoundSource.NEUTRAL, 1, 1, false);
			}
		}
		world.setBlock(BlockPos.containing(x, y, z), Blocks.AIR.defaultBlockState(), 3);
		if (world instanceof ServerLevel _level)
			FallingBlockEntity.fall(_level, BlockPos.containing(x, y, z), CavernousEchoesModBlocks.GLOWING_EXPLOSIVES.get().defaultBlockState());
		for (int index0 = 0; index0 < (int) Mth.nextDouble(RandomSource.create(), 7, 20); index0++) {
			if (world instanceof ServerLevel _level) {
				ItemEntity entityToSpawn = new ItemEntity(_level, x, y, z, new ItemStack(CavernousEchoesModItems.DEPTHLING_GUNPOWDER.get()));
				entityToSpawn.setPickUpDelay(40);
				_level.addFreshEntity(entityToSpawn);
			}
		}
		CavernousEchoesMod.queueServerWork(100, () -> {
			for (int index1 = 0; index1 < (int) Mth.nextDouble(RandomSource.create(), 1, 4); index1++) {
				if (world instanceof Level _level && !_level.isClientSide())
					_level.explode(null, x, y, z, (float) Mth.nextDouble(RandomSource.create(), 6, 9), Level.ExplosionInteraction.TNT);
			}
		});
	}
}
